Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: Po Lu <[email-masked]>
Date: Sat, 18 Jan 2025 17:36:55 +0800

Eli Zaretskii <[email-masked]> writes:

> Ping!  Po Lu, any suggestions or comments?
>
>> Date: Fri, 3 Jan 2025 09:55:50 +0100
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked],
>>  [email-masked]
>> From: martin rudalics <[email-masked]>
>> 
>>  > I'm curious: does anyone know what the rationale is for
>>  > `pixel-scroll-precision-mode` setting this to `nil`? It doesn't seem
>>  > like something that you'd want… Did this behavior change in Emacs 30?
>> 
>> Apparently.  AFAICT the rationale was to fix Bug#65214.  I think the two
>> ways to handle that bug and the present one are:
>> 
>> - Add two new values for 'make-cursor-line-fully-visible', say 'always'
>>    and 'never', a mode would not be permitted to override.
>> 
>> - Add a second customizable variable say
>>    'pixel-scroll-precision-mode-make-cursor-line-fully-visible'
>>    that would control the behavior.
>> 
>> More experienced users could also try to set the buffer local value of
>> 'make-cursor-line-fully-visible' in 'after-change-major-mode-hook'.
>> 
>> martin

I think it would be the optimal solution to accept a value of
make-cursor-line-fully-visible that only applies to the next redisplay
after a pixel scrolling command is executed.